Extending Qt Creator Manual | TextDocumentManipulator

Extending Qt Creator Manual 4.7.1

# TextDocumentManipulator Class

(TextEditor::TextDocumentManipulator)

- List of all members, including inherited members

## Public Functions

| TextDocumentManipulator(TextEditor::TextEditorWidget *textEditorWidget)
void | autoIndent(int position, int length)
int | characterAt(int) const
int | currentPosition() const
void | encourageApply()
void | insertCodeSnippet(int position, const QString &text)
void | paste()
int | positionAt(TextEditor::TextPositionOperation textPositionOperation) const
bool | replace(int position, int length, const QString &text)
void | setAutoCompleteSkipPosition(int position)
void | setCursorPosition(int position)
QString | textAt(int position, int length) const
QTextCursor | textCursorAt(int position) const

## Member Function Documentation

### TextDocumentManipulator::TextDocumentManipulator(TextEditor::TextEditorWidget *textEditorWidget)

Default constructs an instance of TextDocumentManipulator.

### void TextDocumentManipulator::autoIndent(int position, int length)

### int TextDocumentManipulator::characterAt(int) const

### int TextDocumentManipulator::currentPosition() const

### void TextDocumentManipulator::encourageApply()

### void TextDocumentManipulator::insertCodeSnippet(int position, const QString &text)

### void TextDocumentManipulator::paste()

### int TextDocumentManipulator::positionAt(TextEditor::TextPositionOperation textPositionOperation) const

### bool TextDocumentManipulator::replace(int position, int length, const QString &text)

### void TextDocumentManipulator::setAutoCompleteSkipPosition(int position)

### void TextDocumentManipulator::setCursorPosition(int position)

### QString TextDocumentManipulator::textAt(int position, int length) const

### QTextCursor TextDocumentManipulator::textCursorAt(int position) const